Doomsday Engine - Bug #2036

Automap lines are not visible
2015-05-05 19:37 - rhargrave

Status: Rejected Start date: 2015-05-05
Priority: Normal % Done: 0%
Assignee:

Category: Defect

Target version:

Description

| just built a fresh Doomsday from cmake-build yesterday (I don't build from master, as | don't want to have a stroke over trying to
make QMake relocate the installation). It looks like the actual map is no longer being rendered when AutoMap is open. Aside from
that, automap is behaving correctly -- the map name is rendered, as is the dark tint.

It looks like this is broken in every game plugin -- | have attached screenshots from libdoom (doom2, chex, hacx, etc.. -- every game
is effected), libheretic, and libhexen.

Notice that all games experience the same symptoms -- only the actual map is not drawn, all HUD components and AutoMap
components are still present.

History

#1 - 2015-05-05 20:09 - skyjake

I'll do a clean build and see if this can be reproduced.

#2 - 2015-05-06 10:18 - skyjake
- Target version deleted (1.15)

#3 - 2015-05-06 11:19 - skyjake

- Tags changed from Ul, Automap, Doom to Ul, Automap, OpenGL

- Subject changed from Automap is not appearing on current cmake-build branch to Automap lines are not being drawn
- Category changed from Regression to Defect

- Priority changed from High to Normal

| tried this on two different machines and the automap was working correctly on both (Ubuntu 64-bit, Nvidia GeForce 750Ti closed-source driver
340.76; and Fedora 21 in a VM running on the Mac with Intel Iris graphics).

Could you give some details about your graphics driver and hardware, please?
My theory is that there is some incompatibility with the drawing of GL_LINES. Some things to check:

e Could you see if the crosshair is working? That is also drawn with GL_LINES.
* You could try adjusting the width of the automap lines with map-line-width (try 0.1) and see if anything changes.

#4 - 2015-05-06 19:01 - rhargrave
skyjake wrote:

| tried this on two different machines and the automap was working correctly on both (Ubuntu 64-bit, Nvidia GeForce 750Ti closed-source driver
340.76; and Fedora 21 in a VM running on the Mac with Intel Iris graphics).

Could you give some details about your graphics driver and hardware, please?
My theory is that there is some incompatibility with the drawing of GL_LINES. Some things to check:

e Could you see if the crosshair is working? That is also drawn with GL_LINES.
e You could try adjusting the width of the automap lines with map-line-width (try 0.1) and see if anything changes.

The crosshair is working for me, however adjusting map-line-width as suggested is not working. At which commit is it working for you?

#5 - 2015-05-06 19:33 - skyjake
rhargrave wrote:

At which commit is it working for you?

I'm using cmake-build 1f6ede6224, however earlier builds of cmake-build have also been working for me in the past, i.e., | haven't seen any automap
drawing problems on my systems.

#6 - 2015-05-06 19:45 - rhargrave
skyjake wrote:
rhargrave wrote:
At which commit is it working for you?
I'm using cmake-build 1f6ede6224, however earlier builds of cmake-build have also been working for me in the past, i.e., | haven't seen any
automap drawing problems on my systems.

Huh. | just checked out and built that commit, however | am still experiencing that problem.

Here is a screenshot of my GL info: http:/i.imgur.com/5450syO.png in doomsday, if you're curious. Which log category does automap talk to? Let me
know and | get get some logs/see if | spot anything.

#7 - 2015-05-07 20:08 - skyjake

- File menu_shimmer.jpg added

rhargrave wrote:

Here is a screenshot of my GL info: http:/i.imgur.com/5450syQ.png in doomsday, if you're curious.

Since the crosshair works, it seems like GL_LINES isn't the culprit.

The automap is pretty unique in Doomsday in that it uses the GL_TEXTURE matrix stack. | see in the screenshots that the Hexen map background is
solid color — it should have a texture. That appearance could be explained by the texture coordinates being rendered as (0,0) due to faulty texture
matrix multiplication.

We could test this theory by seeing if the bluish menu background "shimmering curtain" effect is being drawn correctly (attached menu_shimmer.jpg)
on your machine. That is the only other place where a texture matrix is being used.

| suppose you are not seeing any OpenGL error messages?

Which log category does automap talk to? Let me know and | get get some logs/see if | spot anything.

Unfortunately the automap doesn't do much logging...
#8 - 2015-05-07 20:11 - rhargrave
| don't seem to be encountering any GL errors, and the menu curtain works.

Even more interesting is that the automap is working when | run doomsday under my doom64 branch (though the doom64 map doesn't work -- but
that's for a different reason entirely).

It's also worth noting that my doom64 branch integrates danij's modifications and had had working automap prior to those modifications.

#9 - 2015-05-07 20:44 - skyjake
- Tags changed from Ul, Automap, OpenGL to Ul, Automap

- Subject changed from Automap lines are not being drawn to Automap lines are not visible

| see, that at least rules out any fundamental OpenGL driver level issues since you had it working before.

#10 - 2015-05-07 20:47 - rhargrave

It's quite odd. Later today I'll recompile my casual use copy with different flags and see what happens. The current was compiled, | beleive, with

-Ofast.

#11 - 2015-05-08 19:32 - rhargrave
https://tracker.dengine.net/projects/deng/repository/revisions/1f6ede62246e2502aa7a02ba672b71feb6428f0b
https://tracker.dengine.net/projects/deng/repository/revisions/1f6ede62246e2502aa7a02ba672b71feb6428f0b
http://i.imgur.com/545OsyO.png
http://i.imgur.com/545OsyO.png

Disregard that.

This is now working.

That was strange...

No settings were changed, by the way.

#12 - 2015-05-08 20:10 - rhargrave

- Status changed from New to Rejected
